Page 1 of 2 12 LastLast
Results 1 to 10 of 19

Thread: Network settings. Problems after updating from 15.1 to 15.2

  1. #1

    Question Network settings. Problems after updating from 15.1 to 15.2

    Good day. After upgrading OpenSuse Leap from 15.1 to 15.2, I get this error if I try to open the network settings in Yast2:





    Need help. Any ideas?

  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,889

    Default AW: Network settings. Problems after updating from 15.1 to 15.2

    Please post:
    Code:
    LANG=C zypper se -si | grep -Ei 'systemp|system-p|system p|system_p'
    Code:
    zypper lr -d

  3. #3

    Default Re: Network settings. Problems after updating from 15.1 to 15.2

    Code:
    alex@linux-ofwi:~> LANG=C zypper se -si | grep -Ei 'systemp|system-p|system p|system_p'
    i  | libgpac8                                 | package | 0.8.0-pm152.1.13                            | x86_64 | (System Packages)
    i  | libicu-suse64_2                          | package | 64.2-lp151.3.3.1                            | x86_64 | (System Packages)
    i  | libicu64_2-ledata                        | package | 64.2-lp151.3.3.1                            | noarch | (System Packages)
    i  | libx264-155                              | package | 0.155svn20190201-pm151.3.1                  | x86_64 | (System Packages)
    i  | libx264-157                              | package | 0.157svn20191217-pm151.1.1                  | x86_64 | (System Packages)
    i  | libx264-159                              | package | 0.159+git20191127.1771b556-pm152.3.1        | x86_64 | (System Packages)
    i  | libx265-176                              | package | 3.1.2-lp151.1.2                             | x86_64 | (System Packages)
    i  | libx265-179                              | package | 3.2.1-pm151.3.3                             | x86_64 | (System Packages)
    i  | libx265-188                              | package | 3.3-pm151.1.2                               | x86_64 | (System Packages)
    i  | openSUSE-release-dvd                     | package | 15.1-lp151.298.1                            | x86_64 | (System Packages)
    alex@linux-ofwi:~> LANG=C zypper lr -d
    #  | Alias                           | Name                                                 | Enabled | GPG Check | Refresh | Priority | Ty
    pe   | URI                                                                                              | Service
    ---+---------------------------------+------------------------------------------------------+---------+-----------+---------+----------+---
    -----+--------------------------------------------------------------------------------------------------+--------
     1 | devel_languages_ruby            | Ruby base project (openSUSE_Leap_15.2)               | Yes     | (r ) Yes  | No      |   99     | rp
    m-md | http://download.opensuse.org/repositories/devel:/languages:/ruby/openSUSE_Leap_15.2/             |  
     2 | devel_languages_ruby_extensions | Ruby Extensions (openSUSE_Leap_15.2)                 | Yes     | (r ) Yes  | No      |   99     | rp
    m-md | http://download.opensuse.org/repositories/devel:/languages:/ruby:/extensions/openSUSE_Leap_15.2/ |  
     3 | google-chrome                   | google-chrome                                        | Yes     | (r ) Yes  | Yes     |   99     | rp
    m-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64                                              |  
     4 | packman                         | packman                                              | Yes     | (r ) Yes  | Yes     |   99     | rp
    m-md | ftp://packman.inode.at/suse/openSUSE_Leap_15.2/                                                  |  
     5 | repo-debug                      | Debug Repository                                     | No      | ----      | ----    |   99     | NO
    NE   | http://download.opensuse.org/debug/distribution/leap/15.2/repo/oss/                              |  
     6 | repo-debug-non-oss              | Debug Repository (Non-OSS)                           | No      | ----      | ----    |   99     | NO
    NE   | http://download.opensuse.org/debug/distribution/leap/15.2/repo/non-oss/                          |  
     7 | repo-debug-update               | Update Repository (Debug)                            | No      | ----      | ----    |   99     | NO
    NE   | http://download.opensuse.org/debug/update/leap/15.2/oss/                                         |  
     8 | repo-debug-update-non-oss       | Update Repository (Debug, Non-OSS)                   | No      | ----      | ----    |   99     | NO
    NE   | http://download.opensuse.org/debug/update/leap/15.2/non-oss/                                     |  
     9 | repo-non-oss                    | Non-OSS Repository                                   | Yes     | (r ) Yes  | Yes     |   99     | rp
    m-md | http://download.opensuse.org/distribution/leap/15.2/repo/non-oss/                                |  
    10 | repo-oss                        | Main Repository                                      | Yes     | (r ) Yes  | Yes     |   99     | rp
    m-md | http://download.opensuse.org/distribution/leap/15.2/repo/oss/                                    |  
    11 | repo-source                     | Source Repository                                    | No      | ----      | ----    |   99     | NO
    NE   | http://download.opensuse.org/source/distribution/leap/15.2/repo/oss/                             |  
    12 | repo-source-non-oss             | Source Repository (Non-OSS)                          | No      | ----      | ----    |   99     | NO
    NE   | http://download.opensuse.org/source/distribution/leap/15.2/repo/non-oss/                         |  
    13 | repo-update                     | Main Update Repository                               | Yes     | (r ) Yes  | Yes     |   99     | rp
    m-md | http://download.opensuse.org/update/leap/15.2/oss/                                               |  
    14 | repo-update-non-oss             | Update Repository (Non-Oss)                          | Yes     | (r ) Yes  | Yes     |   99     | rp
    m-md | http://download.opensuse.org/update/leap/15.2/non-oss/                                           |  
    15 | server_database_postgresql      | PostgreSQL and related packages (openSUSE_Leap_15.2) | Yes     | (r ) Yes  | No      |   99     | rp
    m-md | https://download.opensuse.org/repositories/server:/database:/postgresql/openSUSE_Leap_15.2/      |  
    16 | sublime-text                    | Sublime Text - x86_64 - Stable                       | Yes     | (r ) Yes  | Yes     |   99     | rp
    m-md | https://download.sublimetext.com/rpm/stable/x86_64 
    

  4. #4
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,889

    Default AW: Network settings. Problems after updating from 15.1 to 15.2

    Maybe a conflict of ruby packages?

    Poste:
    Code:
    zypper se -sir 1
    Also if you enable a Repo, please also enable refresh.

  5. #5

    Default Re: AW: Network settings. Problems after updating from 15.1 to 15.2

    Quote Originally Posted by Sauerland View Post
    Also if you enable a Repo, please also enable refresh.
    OK. Thank you, you're right. But that doesn't help:

    Code:
    alex@linux-ofwi:~> LANG=C zypper lr -d        
    #  | Alias                           | Name                                                 | Enabled | GPG Check | Refresh | Priority | Ty
    pe   | URI                                                                                              | Service
    ---+---------------------------------+------------------------------------------------------+---------+-----------+---------+----------+---
    -----+--------------------------------------------------------------------------------------------------+--------
     1 | devel_languages_ruby            | Ruby base project (openSUSE_Leap_15.2)               | Yes     | (r ) Yes  | Yes     |   99     | rp
    m-md | http://download.opensuse.org/repositories/devel:/languages:/ruby/openSUSE_Leap_15.2/             |  
     2 | devel_languages_ruby_extensions | Ruby Extensions (openSUSE_Leap_15.2)                 | Yes     | (r ) Yes  | Yes     |   99     | rp
    m-md | http://download.opensuse.org/repositories/devel:/languages:/ruby:/extensions/openSUSE_Leap_15.2/ |  
     3 | google-chrome                   | google-chrome                                        | Yes     | (r ) Yes  | Yes     |   99     | rp
    m-md | http://dl.google.com/linux/chrome/rpm/stable/x86_64                                              |  
     4 | packman                         | packman                                              | Yes     | (r ) Yes  | Yes     |   99     | rp
    m-md | ftp://packman.inode.at/suse/openSUSE_Leap_15.2/                                                  |  
     5 | repo-debug                      | Debug Repository                                     | No      | ----      | ----    |   99     | NO
    NE   | http://download.opensuse.org/debug/distribution/leap/15.2/repo/oss/                              |  
     6 | repo-debug-non-oss              | Debug Repository (Non-OSS)                           | No      | ----      | ----    |   99     | NO
    NE   | http://download.opensuse.org/debug/distribution/leap/15.2/repo/non-oss/                          |  
     7 | repo-debug-update               | Update Repository (Debug)                            | No      | ----      | ----    |   99     | NO
    NE   | http://download.opensuse.org/debug/update/leap/15.2/oss/                                         |  
     8 | repo-debug-update-non-oss       | Update Repository (Debug, Non-OSS)                   | No      | ----      | ----    |   99     | NO
    NE   | http://download.opensuse.org/debug/update/leap/15.2/non-oss/                                     |  
     9 | repo-non-oss                    | Non-OSS Repository                                   | Yes     | (r ) Yes  | Yes     |   99     | rp
    m-md | http://download.opensuse.org/distribution/leap/15.2/repo/non-oss/                                |  
    10 | repo-oss                        | Main Repository                                      | Yes     | (r ) Yes  | Yes     |   99     | rp
    m-md | http://download.opensuse.org/distribution/leap/15.2/repo/oss/                                    |  
    11 | repo-source                     | Source Repository                                    | No      | ----      | ----    |   99     | NO
    NE   | http://download.opensuse.org/source/distribution/leap/15.2/repo/oss/                             |  
    12 | repo-source-non-oss             | Source Repository (Non-OSS)                          | No      | ----      | ----    |   99     | NO
    NE   | http://download.opensuse.org/source/distribution/leap/15.2/repo/non-oss/                         |  
    13 | repo-update                     | Main Update Repository                               | Yes     | (r ) Yes  | Yes     |   99     | rp
    m-md | http://download.opensuse.org/update/leap/15.2/oss/                                               |  
    14 | repo-update-non-oss             | Update Repository (Non-Oss)                          | Yes     | (r ) Yes  | Yes     |   99     | rp
    m-md | http://download.opensuse.org/update/leap/15.2/non-oss/                                           |  
    15 | server_database_postgresql      | PostgreSQL and related packages (openSUSE_Leap_15.2) | Yes     | (r ) Yes  | Yes     |   99     | rp
    m-md | https://download.opensuse.org/repositories/server:/database:/postgresql/openSUSE_Leap_15.2/      |  
    16 | sublime-text                    | Sublime Text - x86_64 - Stable                       | Yes     | (r ) Yes  | Yes     |   99     | rp
    m-md | https://download.sublimetext.com/rpm/stable/x86_64                                               |  
    alex@linux-ofwi:~> sudo LANG=C zypper refresh
    Repository 'Ruby base project (openSUSE_Leap_15.2)' is up to date.                                                                          
    Repository 'Ruby Extensions (openSUSE_Leap_15.2)' is up to date.                                                                            
    Repository 'google-chrome' is up to date.                                                                                                   
    Repository 'packman' is up to date.                                                                                                         
    Repository 'Non-OSS Repository' is up to date.                                                                                              
    Repository 'Main Repository' is up to date.                                                                                                 
    Repository 'Main Update Repository' is up to date.                                                                                          
    Repository 'Update Repository (Non-Oss)' is up to date.                                                                                     
    Repository 'PostgreSQL and related packages (openSUSE_Leap_15.2)' is up to date.                                                            
    Repository 'Sublime Text - x86_64 - Stable' is up to date.                                                                                  
    All repositories have been refreshed.
    alex@linux-ofwi:~> sudo LANG=C zypper up
    Loading repository data...
    Reading installed packages...
    
    The following 95 package updates will NOT be installed:
      gstreamer-plugins-bad gstreamer-plugins-bad-lang libavcodec58 libavformat58 libavutil56 libgstadaptivedemux-1_0-0 libgstbadaudio-1_0-0
      libgstbasecamerabinsrc-1_0-0 libgstcodecparsers-1_0-0 libgstisoff-1_0-0 libgstmpegts-1_0-0 libgstphotography-1_0-0 libgstsctp-1_0-0
      libgsturidownloader-1_0-0 libgstwayland-1_0-0 libgstwebrtc-1_0-0 libruby2_5-2_5 libswresample3 libxine2 libxine2-pulse ruby-common
      ruby2.5 ruby2.5-devel ruby2.5-rubygem-actioncable-5_1 ruby2.5-rubygem-actionmailer-5_1 ruby2.5-rubygem-actionpack-5_1
      ruby2.5-rubygem-actionview-5_1 ruby2.5-rubygem-activejob-5_1 ruby2.5-rubygem-activemodel-5_1 ruby2.5-rubygem-activerecord-5_1
      ruby2.5-rubygem-activesupport-5_1 ruby2.5-rubygem-arel ruby2.5-rubygem-bcrypt ruby2.5-rubygem-bindex ruby2.5-rubygem-builder
      ruby2.5-rubygem-bundler ruby2.5-rubygem-byebug ruby2.5-rubygem-cheetah ruby2.5-rubygem-coffee-rails ruby2.5-rubygem-coffee-script
      ruby2.5-rubygem-coffee-script-source ruby2.5-rubygem-concurrent-ruby ruby2.5-rubygem-crass ruby2.5-rubygem-erubi ruby2.5-rubygem-execjs
      ruby2.5-rubygem-fast_gettext ruby2.5-rubygem-ffi ruby2.5-rubygem-gem2rpm ruby2.5-rubygem-globalid ruby2.5-rubygem-i18n
      ruby2.5-rubygem-jbuilder ruby2.5-rubygem-jquery-rails ruby2.5-rubygem-listen ruby2.5-rubygem-loofah ruby2.5-rubygem-mail
      ruby2.5-rubygem-method_source ruby2.5-rubygem-mini_mime ruby2.5-rubygem-mini_portile2 ruby2.5-rubygem-multi_json ruby2.5-rubygem-nio4r
      ruby2.5-rubygem-nokogiri ruby2.5-rubygem-puma ruby2.5-rubygem-rack ruby2.5-rubygem-rack-test-0_6 ruby2.5-rubygem-rails-5_1
      ruby2.5-rubygem-rails-dom-testing ruby2.5-rubygem-rails-html-sanitizer ruby2.5-rubygem-railties-5_1 ruby2.5-rubygem-rb-fsevent
      ruby2.5-rubygem-rb-inotify ruby2.5-rubygem-ruby-augeas ruby2.5-rubygem-ruby_dep ruby2.5-rubygem-sass ruby2.5-rubygem-sass-listen
      ruby2.5-rubygem-sass-rails ruby2.5-rubygem-simpleidn ruby2.5-rubygem-spring ruby2.5-rubygem-spring-watcher-listen
      ruby2.5-rubygem-sprockets ruby2.5-rubygem-sprockets-rails ruby2.5-rubygem-sqlite3 ruby2.5-rubygem-thor ruby2.5-rubygem-thread_safe
      ruby2.5-rubygem-tilt ruby2.5-rubygem-turbolinks ruby2.5-rubygem-turbolinks-source ruby2.5-rubygem-tzinfo-1.2 ruby2.5-rubygem-uglifier
      ruby2.5-rubygem-web-console ruby2.5-rubygem-websocket-driver-0_6 ruby2.5-rubygem-websocket-extensions ruby2.5-stdlib vlc-codec-gstreamer
      vlc-lang vlc-vdpau
    
    Nothing to do.
    

  6. #6

    Default Re: Network settings. Problems after updating from 15.1 to 15.2

    What do you advise? I am a programmer and I need a ruby. I am using rbenv.

    Code:
    alex@linux-ofwi:~> LANG=C zypper se -sir 1        
    Loading repository data...
    Reading installed packages...
    
    S | Name           | Type    | Version          | Arch   | Repository
    --+----------------+---------+------------------+--------+---------------------------------------
    i | libruby2_6-2_6 | package | 2.6.6-lp152.34.3 | x86_64 | Ruby base project (openSUSE_Leap_15.2)
    i | ruby2.6        | package | 2.6.6-lp152.34.3 | x86_64 | Ruby base project (openSUSE_Leap_15.2)
    
    

  7. #7
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,889

    Default AW: Network settings. Problems after updating from 15.1 to 15.2

    Can you use ruby 2.5, its in the OSS Repo?

  8. #8

    Default Re: AW: Network settings. Problems after updating from 15.1 to 15.2

    Quote Originally Posted by Sauerland View Post
    Can you use ruby 2.5, its in the OSS Repo?
    Hmm. This is not a solution to a technical problem... imho.
    No, I am using 2.6:

    Code:
    alex@linux-ofwi:~> ruby -v 
    ruby 2.6.4p104 (2019-08-28 revision 67798) [x86_64-linux]
    

  9. #9
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,889

    Default AW: Network settings. Problems after updating from 15.1 to 15.2

    Try to switch all packages to ruby 2.6.
    Code:
    zypper dup --from http://download.opensuse.org/repositories/devel:/languages:/ruby/openSUSE_Leap_15.2/
    Code:
    zypper dup --from http://download.opensuse.org/repositories/devel:/languages:/ruby:/extensions/openSUSE_Leap_15.2/
    Last edited by Sauerland; 11-Aug-2020 at 00:00.

  10. #10
    Join Date
    Jun 2008
    Location
    San Diego, Ca, USA
    Posts
    12,769
    Blog Entries
    2

    Default Re: Network settings. Problems after updating from 15.1 to 15.2

    Before doing too much on suggestions to this point,
    Recommend simply ensuring your system's integrity first with a simple system update
    Code:
    zypper up
    Reason is that for many years now I've found that YaST has worked fine with numerous Ruby versions without any code modification.
    Was one of the first things I verified when I first started using rbenv and a few times periodically since.

    If you're using rbenv,
    That should be OK.
    Just set your global version to whatever you're like.

    TSU
    Beginner Wiki Quickstart - https://en.opensuse.org/User:Tsu2/Quickstart_Wiki
    Solved a problem recently? Create a wiki page for future personal reference!
    Learn something new?
    Attended a computing event?
    Post and Share!

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •